petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCShellSetView

Sets routine to use as viewer of shell preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetView(PC pc,PetscErrorCode (*view)(PC,PetscViewer))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| view | - the application-provided view routine

### Calling sequence of view

       PetscErrorCode view(PC pc,PetscViewer v)

| pc | - the preconditioner, get the application context with PCShellGetContext()
| v | - viewer

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApplyTranspose()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Implementations

PCShellSetView_Shell(PC pc,PetscErrorCode (*view) in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages